﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using FCS.Common;
using FCS.Crawler.ZCLotteryAgainst;
using FCS.Crawler.ZCLotteryGames;
using FCS.Crawler.ZCLotteryGrouping;
using FCS.Crawler.ZCLotteryIP;
using FCS.Crawler.ZCLotteryMatchs;
using FCS.Crawler.ZCLotteryScore;
using FCS.Crawler.ZCLotteryTeam;
using FCS.Crawler.ZCMatchRankingList;
using FCS.Interface;
using Quartz;

namespace FCS.Crawler
{
    public class Update_PlayerJob : CommonJob, IJob
    {
        private delegate void UpdateClick();
        public void Execute(IJobExecutionContext context)
        {
            Config = CommonHelper.GetConfigFromDataMap(context.JobDetail.JobDataMap);
            Click();
        }

        public void Click()
        {
            ThreadPool.SetMaxThreads(200, 200);
            CommonHelper.LogBD("开始Update_PlayerJob");
            new IPJob().GetIP();
            new FootBallTeamsJob().GetAll();
            new FootballPlayerJob().GetAll();


            new GoalSingleDbListJob().Click();
            new MakeBallListJob().Click();
            new RankingListJob().Click();
            new ShooterListJob().Click();
            new UpperLlowerSingleDoubleJob().Click();
            
            while (true)
            {
                if (CommonHelper.ThreadsFinsh())
                    break;
            }
            CommonHelper.LogBD("Update_PlayerJob完成");
        }
    }

}
