﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using FCS.Common;
using FCS.Crawler.ZCLotteryAgainst;
using FCS.Crawler.ZCLotteryAsianDish;
using FCS.Crawler.ZCLotteryGames;
using FCS.Crawler.ZCLotteryGrouping;
using FCS.Crawler.ZCLotteryIP;
using FCS.Crawler.ZCLotteryMatchs;
using FCS.Crawler.ZCLotteryScore;
using FCS.Crawler.ZCLotterySizeIndex;
using FCS.Crawler.ZCLotteryTeam;
using FCS.Interface;
using FCS.Models;
using Quartz;

namespace FCS.Crawler
{
    public class Update_RealTimeJob : CommonJob, IJob
    {
        public Update_RealTimeJob()
        {
            logName = "Update_RealTimeJob";
        }
        public void Execute(IJobExecutionContext context)
        {
            Config = CommonHelper.GetConfigFromDataMap(context.JobDetail.JobDataMap);
            Click();
        }

        public void Click()
        {
            ThreadPool.SetMaxThreads(200, 200);
            CommonHelper.LogBD("开始Update_RealTime", logName);
            List<F_Games> list = new List<F_Games>();
            new GamesJob().Click();
            Task.Run(() => new GamesDetailsJob().Click());
            Task.Run(() => new ScoreJob().Click());
            Task.Run(() => new AgainstJob().Click());
            while (!CommonHelper.ThreadsFinsh())
                continue;
            CommonHelper.LogBD("结束Update_RealTime", logName);
        }
    }

}
