﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FCS.Models.Entity
{
    [Table("B_Players")]
    //篮球队员的信息
    public class B_Players
    {

        /// <summary>
        /// 编码Int
        /// </summary>		
        public int PK { get; set; }
        /// <summary>
        /// 编码Guid
        /// </summary>		
        public string Id { get; set; }
        /// <summary>
        /// 球队
        /// </summary>		
        public string TeamId { get; set; }
        /// <summary>
        /// 中文名称
        /// </summary>		
        public string ChineseName { get; set; }
        /// <summary>
        /// 英文名称
        /// </summary>		
        public string EnglishName { get; set; }
        /// <summary>
        /// 国籍
        /// </summary>		
        public string Nationality { get; set; }
        /// <summary>
        /// 体重
        /// </summary>		
        public string Weight { get; set; }
        /// <summary>
        /// 身高
        /// </summary>		
        public string Stature { get; set; }
        /// <summary>
        /// 生日
        /// </summary>		
        public string Birthday { get; set; }
        /// <summary>
        /// NBA球龄
        /// </summary>		
        public string NBAVeteran { get; set; }
        /// <summary>
        /// 位置（枚举）
        /// </summary>		
        public string Position { get; set; }
        /// <summary>
        /// 描述
        /// </summary>		
        public string Describe { get; set; }
        /// <summary>
        /// 号码
        /// </summary>		
        public string Number { get; set; }
        /// <summary>
        /// 荣誉
        /// </summary>		
        public string Honor { get; set; }
        /// <summary>
        /// 用以存储头像图片
        /// </summary>		
        public string LogoImage { get; set; }
        /// <summary>
        /// 名人指数（越高越出名）
        /// </summary>		
        public int Celebrity { get; set; }
        /// <summary>
        /// 备注
        /// </summary>		
        public string Remark { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>		
        public DateTime CreateDateTime { get; set; }
    }
}
