﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FCS.Models.Entity
{
    /// <summary>
    /// 球队排行
    /// </summary>
    [Table("B_TeamStatistics")]
    public class B_TeamStatistics
    {
        /// <summary>
        /// 
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 球队
        /// </summary>
        public string TeamId { get; set; }

        /// <summary>
        /// 赛事
        /// </summary>
        public string EventId { get; set; }
        /// <summary>
        /// 赛季
        /// </summary>
        public string Season { get; set; }
        /// <summary>
        /// 赛事类型
        /// </summary>
        public string GameType { get; set; }
        /// <summary>
        /// 参赛数
        /// </summary>
        public int Sum { get; set; }
        /// <summary>
        /// 均得
        /// </summary>
        public string ScoreAvg { get; set; }
        /// <summary>
        /// 均失
        /// </summary>
        public string LossAvg { get; set; }
        /// <summary>
        /// 投篮命中率
        /// </summary>
        public string ShootingHitRate { get; set; }
        /// <summary>
        /// 三分命中率
        /// </summary>
        public string TrisectionHitRate { get; set; }
        /// <summary>
        /// 罚球命中率
        /// </summary>
        public string PenaltyKickHitRate { get; set; }
        /// <summary>
        /// 平均篮球
        /// </summary>
        public string AvgBasketball { get; set; }
        /// <summary>
        /// 平均助攻
        /// </summary>
        public string AvgAssists { get; set; }
        /// <summary>
        /// 平均盖帽
        /// </summary>
        public string AvgBlocks { get; set; }
        /// <summary>
        /// 平均抢断
        /// </summary>
        public string AvgSteals { get; set; }
        /// <summary>
        /// 平均失误
        /// </summary>
        public string AvgMiss { get; set; }
        /// <summary>
        /// 平均犯规
        /// </summary>
        public string AvgFoul { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime CreateDateTime { get; set; } = DateTime.Now;
        /// <summary>
        /// 备注  现在用来存取是东部还是西部
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
    }
}
