﻿using System;

namespace FCS.Models
{
    //足球比赛人员
    public class F_GamesPlayers
    {
        /// <summary>
        /// 编码Int
        /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 比赛编码
        /// </summary>
        public string GameId { get; set; }

        /// <summary>
        /// 球员编码
        /// </summary>
        public string PlayersId { get; set; }

        /// <summary>
        /// 队形（把半场划分为n格的矩形，来判断位置）
        /// </summary>
        public int Formation { get; set; }

        /// <summary>
        /// 职位（枚举）
        /// </summary>
        public string Position { get; set; }

        /// <summary>
        /// 是否首发
        /// </summary>
        public bool IsFirstPublish { get; set; }

        /// <summary>
        /// 所属球队
        /// </summary>
        public string TeamId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateDateTime { get; set; }

        /// <summary>
        /// 用以描述等扩充
        /// </summary>
        public string Rremark { get; set; }
    }
}