﻿using System;

namespace FCS.Models
{
    //F_SizeIndex
    public class F_SizeIndex
    {
        /// <summary>
        /// 编码Int
        /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 胜赔率
        /// </summary>
        public double? SOdd { get; set; }

        /// <summary>
        /// 平赔率
        /// </summary>
        public double? POdd { get; set; }

        /// <summary>
        /// 平赔率
        /// </summary>
        public string Disc { get; set; }

        /// <summary>
        /// 负赔率
        /// </summary>
        public double? FOdd { get; set; }

        /// <summary>
        /// 类型（枚举）及时盘口、初始盘口等
        /// </summary>
        public string SizeIndexType { get; set; }

        /// <summary>
        /// true：主队，false：客队
        /// </summary>
        public bool IsHomeTeamScore { get; set; }

        /// <summary>
        /// 盘口公司
        /// </summary>
        public string BankerCompanyId { get; set; }

        /// <summary>
        /// 比赛编码
        /// </summary>
        public string GameId { get; set; }

        /// <summary>
        /// 变化时间
        /// </summary>
        public DateTime ChangeDateTime { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateDateTime { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}