﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FCS.Models.DTO
{
    public class AgainstTypeDTO
    {
        /// <summary>
        /// 编码（14、6、4）
        /// </summary>
        public int Code { get; set; }
        /// <summary>
        /// 页面URL
        /// </summary>
        public string Url { get; set; }
        /// <summary>
        /// 彩种
        /// </summary>
        public string CaiZhong { get; set; }
        /// <summary>
        /// 彩种ID
        /// </summary>
        public string LotteryId { get; set; }
        /// <summary>
        /// 期数url1
        /// </summary>
        public string SessionUrl1 { get; set; }
        /// <summary>
        /// 期数url2
        /// </summary>
        public string SessionUrl2 { get; set; }
    }

    /// <summary>
    /// 期数
    /// </summary>
    public class AgainstSession
    {
        /// <summary>
        /// 期数
        /// </summary>
        public string issue { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string status { get; set; }
    }

    /// <summary>
    /// 比赛数据
    /// </summary>
    public class AgainstGamesData
    {
        public IEnumerable<AgainstGames> matchInfo { get; set; }
    }
    public class AgainstGames
    {
        /// <summary>
        /// 彩果
        /// </summary>
        public string code { get; set; }
        /// <summary>
        /// 平均欧赔
        /// </summary>
        public string europeSp { get; set; }

        /// <summary>
        /// 比赛时间
        /// </summary>
        public string gameStartDate { get; set; }
        /// <summary>
        /// 客队
        /// </summary>
        public string guestNameFull { get; set; }
        /// <summary>
        /// 主队
        /// </summary>
        public string hostNameFull { get; set; }
        /// <summary>
        /// 客队
        /// </summary>
        public string guestName{ get; set; }
        /// <summary>
        /// 主队
        /// </summary>
        public string hostName{ get; set; }
        /// <summary>
        /// 期数
        /// </summary>
        public string issue { get; set; }
        /// <summary>
        /// 赛事名称
        /// </summary>
        public string leageName { get; set; }
        /// <summary>
        /// 亚盘
        /// </summary>
        public string yapan { get; set; }
        /// <summary>
        /// 足彩比分
        /// </summary>
        public string zuizhongbifen { get; set; }


    }

    public class AgainstEntity:F_SixHalf {

    }
}
