﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FCS.Models.Entity
{
    [Table("B_Games")]
    public class B_Games
    {

        /// <summary>
        /// 编码Int
        /// </summary>		
        public int PK { get; set; }
        /// <summary>
        /// 编码Guid
        /// </summary>		
        public string Id { get; set; }
        /// <summary>
        /// 球队编码
        /// </summary>		
        public string HomeTeamId { get; set; }
        /// <summary>
        /// 球队编码
        /// </summary>		
        public string VisitingTeamId { get; set; }
        /// <summary>
        /// 主队全场得分
        /// </summary>		
        public int HomeTeamScore_All { get; set; }
        /// <summary>
        /// 客队全场得分
        /// </summary>		
        public int VisitingTeamScore_All { get; set; }
        /// <summary>
        /// 主队半场得分
        /// </summary>		
        public int HomeTeamScore_Half { get; set; }
        /// <summary>
        /// 客队半场得分
        /// </summary>		
        public int VisitingTeamScore_Half { get; set; }
        /// <summary>
        /// 赛事编码
        /// </summary>		
        public string EventId { get; set; }
        /// <summary>
        /// 比赛时间
        /// </summary>		
        public DateTime StartDateTime { get; set; }
        /// <summary>
        /// 分组编码
        /// </summary>		
        public string GroupingId { get; set; }
        /// <summary>
        /// 比赛状态（枚举）为开赛、开始、半场、完赛
        /// </summary>		
        public string Status { get; set; }
        /// <summary>
        /// 是否加时赛
        /// </summary>		
        public bool IsOvertime { get; set; }
        /// <summary>
        /// 赛季
        /// </summary>		
        public string Season { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>		
        public DateTime CreateDateTime { get; set; }
        /// <summary>
        /// 热度
        /// </summary>		
        public int Heat { get; set; }
        /// <summary>
        /// 备注
        /// </summary>		
        public string Remark { get; set; }
    }
}
