﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FCS.Models.Entity
{
    /// <summary>
    /// 联盟排行
    /// </summary>
    [Table("B_LeagueRanking")]
    public class B_LeagueRanking
    {
        /// <summary>
        /// 
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 球队
        /// </summary>
        public string TeamId { get; set; }
        /// <summary>
        /// 赛事
        /// </summary>
        public string EventId { get; set; }
        /// <summary>
        /// 赛季
        /// </summary>
        public string Season { get; set; }
        /// <summary>
        /// 分组id
        /// </summary>
        public string GroupingId { get; set; }
        /// <summary>
        /// 赛
        /// </summary>
        public string Game { get; set; }
        /// <summary>
        /// 胜
        /// </summary>
        public int Win { get; set; }
        /// <summary>
        /// 负
        /// </summary>
        public int Lose { get; set; }
        /// <summary>
        /// 胜率
        /// </summary>
        public string WinRate { get; set; }
        /// <summary>
        /// 胜差
        /// </summary>
        public string WinDivide { get; set; }
        /// <summary>
        /// 均得
        /// </summary>
        public string ScoreAvg { get; set; }
        /// <summary>
        /// 均失
        /// </summary>
        public string LossAvg { get; set; }
        /// <summary>
        /// 联盟
        /// </summary>
        public string League { get; set; }
        /// <summary>
        /// 赛区
        /// </summary>
        public string Division { get; set; }
        /// <summary>
        /// 主场
        /// </summary>
        public string Home { get; set; }
        /// <summary>
        /// 客场
        /// </summary>
        public string Visiting { get; set; }
        /// <summary>
        /// 近十轮
        /// </summary>
        public string NearlyTen { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime CreateDateTime { get; set; } = DateTime.Now;
        /// <summary>
        /// 备注  现在用来存取是东部还是西部
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
    }
}
