﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FCS.Models.Entity
{
    /// <summary>
    /// 让球盘路
    /// </summary>
    [Table("B_MakeBallRanking")]
    public  class B_MakeBallRanking
    {
        /// <summary>
        /// 
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 球队
        /// </summary>
        public string TeamId { get; set; }
        /// <summary>
        /// 赛事
        /// </summary>
        public string EventId { get; set; }
        /// <summary>
        /// 赛季
        /// </summary>
        public string Season { get; set; }
        /// <summary>
        /// 盘路类型
        /// </summary>
        public string MakeBallType { get; set; }


        /// <summary>
        /// 总比赛数
        /// </summary>
        public int Sum { get; set; }
        /// <summary>
        /// 上盘数
        /// </summary>
        public int UpDisc { get; set; }
        /// <summary>
        /// 下盘数
        /// </summary>
        public int DownDisc { get; set; }
        /// <summary>
        /// 赢盘数
        /// </summary>
        public int WinDiscNum { get; set; }
        /// <summary>
        /// 走盘数
        /// </summary>
        public int GoDiscNum { get; set; }
        /// <summary>
        /// 输盘数
        /// </summary>
        public int TransportDiscNum { get; set; }
        /// <summary>
        /// 净盘数
        /// </summary>
        public int NetDiscNum { get; set; }

        /// <summary>
        /// 胜率
        /// </summary>
        public string WinPercentage { get; set; }
        /// <summary>
        /// 走率
        /// </summary>
        public string GoPercentage { get; set; }
        /// <summary>
        /// 输率
        /// </summary>
        public string NegativePercentage { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public DateTime CreateDateTime { get; set; } = DateTime.Now;
        /// <summary>
        /// 
        /// </summary>
        public int Sort { get; set; }
    }
}
