﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FCS.Models.Entity
{
    [Table("B_Team")]
    public class B_Team
    {
        
        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }


        /// <summary>
        /// 所在城市
        /// </summary>
        public string EventId { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 所在城市
        /// </summary>
        public string City { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        public string Describe { get; set; }
        
        /// <summary>
        /// 场馆
        /// </summary>
        public string Venues { get; set; }

        /// <summary>
        /// 教练
        /// </summary>
        public string Coach { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Year { get; set; }

        
        /// <summary>
        /// 用以存储logo
        /// </summary>
        public string LogoImage { get; set; }
        
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateDateTime { get; set; } = DateTime.Now;

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}

