﻿using System;

namespace FCS.Models
{
    //F_Compensate
    /// <summary>
    /// 欧赔详情
    /// </summary>
    [Table("BankerCompanyRelation")]
    public class BankerCompanyRelation
    {
        /// <summary>
        /// 编码Int
        /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 公司编码
        /// </summary>
        /// <returns></returns>
        public string BankerCompanyId { get; set; }
        /// <summary>
        /// 类型（枚举）
        /// </summary>
        /// <returns></returns>
        public string BankerCompanyType { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <returns></returns>
        public DateTime? CreateDateTime { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <returns></returns>
        public string Remark { get; set; }
    }
}