﻿using System;

namespace FCS.Models
{
    //足球队员的信息
    [Table("F_Players")]
    public class F_Players
    {
        /// <summary>
        /// 编码Int
        /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 中文名称
        /// </summary>
        public string ChineseName { get; set; }

        /// <summary>
        /// 英文名称
        /// </summary>
        public string EnglishName { get; set; }

        /// <summary>
        /// 国籍
        /// </summary>
        public string Nationality { get; set; }

        /// <summary>
        /// 体重
        /// </summary>
        public string Weight { get; set; }

        /// <summary>
        /// 身高
        /// </summary>
        public string Stature { get; set; }

        /// <summary>
        /// 生日
        /// </summary>

        public string Birthday { get; set; }

        /// <summary>
        /// 惯用脚（枚举）
        /// </summary>
        public string GoodFoot { get; set; }

        /// <summary>
        /// 荣誉
        /// </summary>
        public string Honor { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        public string Describe { get; set; }

        /// <summary>
        /// 用以存储头像图片
        /// </summary>
        public string LogoImage { get; set; }

        /// <summary>
        /// 来自地点
        /// </summary>
        public string FromAddress { get; set; }

        /// <summary>
        /// 名人指数（越高越出名）
        /// </summary>
        public int Celebrity { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; } = DateTime.Now.ToString();
    }
}