﻿using System;

namespace FCS.Models
{
    //F_Four
    [Table("F_PlayersGameData")]
    public class F_PlayersGameData
    {
        /// <summary>
        /// 编码Int
        /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 赛事编码
        /// </summary>
        public string EventId { get; set; }
        /// <summary>
        /// 赛事编码
        /// </summary>
        public string EventName { get; set; }
        /// <summary>
        /// 比赛时间
        /// </summary>
        public DateTime RaceTime { get; set; }
        /// <summary>
        /// 主队编码
        /// </summary>
        public string HomeTeamId { get; set; }

        /// <summary>
        /// 客队编码
        /// </summary>
        public string VisitingTeamId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateDateTime { get; set; }
        /// <summary>
        /// 比分
        /// </summary>
        public string Score { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

        /// <summary>
        /// 进球
        /// </summary>
        public int Goal { get; set; }

        /// <summary>
        /// 点球
        /// </summary>
        public int PenaltyKick { get; set; }
        /// <summary>
        /// 乌龙
        /// </summary>
        public int Oolong { get; set; }

        /// <summary>
        /// 黄牌
        /// </summary>
        public int YellowCard { get; set; }

        /// <summary>
        /// 红牌
        /// </summary>
        public int RedCard { get; set; }
        /// <summary>
        /// 主队名称
        /// </summary>
        /// <returns></returns>
        public string HomeTeamName { get; set; }
        /// <summary>
        /// 客队名称
        /// </summary>
        /// <returns></returns>
        public string VisitingTeamName { get; set; }

        public string PlayersId { get; set; }

    }
}