﻿using System;

namespace FCS.Models
{
    //用户的收藏
    public class F_UserCollect
    {
        /// <summary>
        /// 编码Int
        /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        public string UserId { get; set; }

        /// <summary>
        /// 收藏编码
        /// </summary>
        public string CollectId { get; set; }

        /// <summary>
        /// 收藏类型（枚举）新闻，视频，比赛，球队
        /// </summary>
        public string CollectType { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateDateTime { get; set; }

        /// <summary>
        /// 链接地址
        /// </summary>
        public string LinkAddress { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}